com.holonplatform.vaadin.flow.components.builders

## Interface LocalTimeInputBuilder

- All Superinterfaces:
    ComponentConfigurator<LocalTimeInputBuilder>, DeferrableLocalizationConfigurator<LocalTimeInputBuilder>, FocusableConfigurator<com.vaadin.flow.component.Component,LocalTimeInputBuilder>, HasDeferrableLocalization, HasElementConfigurator<LocalTimeInputBuilder>, HasEnabledConfigurator<LocalTimeInputBuilder>, HasLabelConfigurator<LocalTimeInputBuilder>, HasPlaceholderConfigurator<LocalTimeInputBuilder>, HasSizeConfigurator<LocalTimeInputBuilder>, HasStyleConfigurator<LocalTimeInputBuilder>, HasTitleConfigurator<LocalTimeInputBuilder>, InputBuilder<LocalTime,ValueHolder.ValueChangeEvent<LocalTime>,Input<LocalTime>,ValidatableInput<LocalTime>,LocalTimeInputBuilder,ValidatableLocalTimeInputBuilder>, InputConfigurator<LocalTime,ValueHolder.ValueChangeEvent<LocalTime>,LocalTimeInputBuilder>, InputValueConfigurator<LocalTime,ValueHolder.ValueChangeEvent<LocalTime>,LocalTimeInputBuilder>, LocalTimeInputConfigurator<LocalTimeInputBuilder>

      public interface LocalTimeInputBuilder
      extends LocalTimeInputConfigurator<LocalTimeInputBuilder>, InputBuilder<LocalTime,ValueHolder.ValueChangeEvent<LocalTime>,Input<LocalTime>,ValidatableInput<LocalTime>,LocalTimeInputBuilder,ValidatableLocalTimeInputBuilder>

  Builder to create `LocalTime` type `Input` components.
  Since:
    5.2.0

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.flow.components.builders.InputConfigurator

      `InputConfigurator.BaseInputConfigurator<T>`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.flow.components.builders.ComponentConfigurator

      `ComponentConfigurator.BaseComponentConfigurator`

  - ### Field Summary

    - ### Fields inherited from interface com.holonplatform.vaadin.flow.components.builders.HasSizeConfigurator

      `FULL_SIZE`

  - ### Method Summary

    All Methods Static Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `static LocalTimeInputBuilder` | `create()` Get a new `LocalTimeInputBuilder` to create a `LocalTime` type `Input`.

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.LocalTimeInputConfigurator

      `locale, step`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.InputValueConfigurator

      `withValue`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.InputConfigurator

      `readOnly, readOnly, required, required, withValueChangeListener`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.ComponentConfigurator

      `elementConfiguration, hidden, id, visible, withAttachListener, withDetachListener`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasElementConfigurator

      `withEventListener, withEventListener, withThemeName`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasEnabledConfigurator

      `disabled, enabled`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasSizeConfigurator

      `fullHeight, fullSize, fullWidth, height, height, heightUndefined, maxHeight, maxWidth, minHeight, minWidth, sizeUndefined, width, width, widthUndefined`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasStyleConfigurator

      `styleName, styleNames`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.FocusableConfigurator

      `tabIndex, withBlurListener, withFocusListener, withFocusShortcut, withFocusShortcutKey`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasPlaceholderConfigurator

      `placeholder, placeholder, placeholder`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasLabelConfigurator

      `label, label, label`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasTitleConfigurator

      `description, description, description, title, title, title`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.DeferrableLocalizationConfigurator

      `deferLocalization, withDeferredLocalization`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasDeferrableLocalization

      `isDeferredLocalizationEnabled`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.InputBuilder

      `build, validatable`

- - ### Method Detail

    - #### create

          static LocalTimeInputBuilder create()

      Get a new `LocalTimeInputBuilder` to create a `LocalTime` type `Input`.
      Returns:
        A new `LocalTimeInputBuilder`

Copyright © 2019 The Holon Platform. All rights reserved.